View Issue Details

IDProjectCategoryView StatusLast Update
0021736LazarusLCLpublic2012-04-17 18:03
ReporterDavid JenkinsAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.30.5 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0021736: BitsInOrder copy paste bug
DescriptionFix a LCL bug that snuck in with LCL base rev 31019: BitsInOrder copy should do a Right shift on the lower byte and then OR with the Left shifted higher byte.

Patch against rev 36681 attached
TagsNo tags attached.
Fixed in Revision36810
LazTarget-
WidgetsetCarbon
Attached Files
  • graphtype.patch (585 bytes)
    --- /Users/djenkins/laz-changes/14701/graphtype.pp	2012-04-11 16:32:13.000000000 
    +++ /Users/djenkins/laz-changes/14701/graphtype.pp.ss	2012-04-11 16:33:28.000000000 
    @@ -1519,8 +1519,8 @@
               // dst[byte|bit]: 12 11 10 07 06 05 04 03 :
               for x := 0 to ByteCount - 1 do
               begin
    -            DstW1 := SrcPos[0] shl Shift0;
    -            DstPos^ := Byte(DstW1 or (SrcPos[1] shr Shift1));
    +            DstW1 := SrcPos[0] shr Shift0;
    +            DstPos^ := Byte(DstW1 or (SrcPos[1] shl Shift1));
                 inc(SrcPos);
                 inc(DstPos);
               end;
    
    graphtype.patch (585 bytes)

Activities

2012-04-13 18:52

 

graphtype.patch (585 bytes)
--- /Users/djenkins/laz-changes/14701/graphtype.pp	2012-04-11 16:32:13.000000000 
+++ /Users/djenkins/laz-changes/14701/graphtype.pp.ss	2012-04-11 16:33:28.000000000 
@@ -1519,8 +1519,8 @@
           // dst[byte|bit]: 12 11 10 07 06 05 04 03 :
           for x := 0 to ByteCount - 1 do
           begin
-            DstW1 := SrcPos[0] shl Shift0;
-            DstPos^ := Byte(DstW1 or (SrcPos[1] shr Shift1));
+            DstW1 := SrcPos[0] shr Shift0;
+            DstPos^ := Byte(DstW1 or (SrcPos[1] shl Shift1));
             inc(SrcPos);
             inc(DstPos);
           end;
graphtype.patch (585 bytes)

Paul Ishenin

2012-04-16 08:25

manager   ~0058645

Thanks, applied.

Please close if ok.

Issue History

Date Modified Username Field Change
2012-04-13 18:52 David Jenkins New Issue
2012-04-13 18:52 David Jenkins File Added: graphtype.patch
2012-04-13 18:52 David Jenkins Widgetset => Carbon
2012-04-16 08:25 Paul Ishenin Fixed in Revision => 36810
2012-04-16 08:25 Paul Ishenin LazTarget => -
2012-04-16 08:25 Paul Ishenin Status new => resolved
2012-04-16 08:25 Paul Ishenin Fixed in Version => 1.1 (SVN)
2012-04-16 08:25 Paul Ishenin Resolution open => fixed
2012-04-16 08:25 Paul Ishenin Assigned To => Paul Ishenin
2012-04-16 08:25 Paul Ishenin Note Added: 0058645
2012-04-17 18:03 David Jenkins Status resolved => closed